%define ver_major 2.10
%def_enable frequency_selector

Name: gnome-applets
Version: %ver_major.1
Release: alt1

Summary: Small applications for the GNOME panel
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch: %name-2.6.0-alt-install_makefile.patch
Patch1: %name-2.9.90-alt-modemlights.patch
Patch2: %name-2.3.5-alt-geyes_schema.patch

%define rpm_ver 4.0.4-alt14
%define GConf_ver 2.10.0
%define glib_ver 2.6.3
%define pango_ver 1.8.1
%define gtk_ver 2.6.4
%define libgnomeui_ver 2.10.0
%define gnome_panel_ver 2.10.0
%define libgtop_ver 2.10.0
%define scrollkeeper_ver 0.3.14
%define gnome_media_ver 2.10.0
%define gnome_common_ver 2.8.0
%define libwnck_ver 2.10.0
%define libxklavier_ver 2.0

Requires: %name-battstat = %version-%release		
Requires: %name-charpick = %version-%release		%name-drivemount = %version-%release
Requires: %name-geyes = %version-%release
Requires: %name-gtik = %version-%release		%name-gweather = %version-%release
Requires: %name-mini-commander = %version-%release	
Requires: %name-multiload = %version-%release
Requires: %name-accessx-status = %version-%release	%name-mixer = %version-%release
Requires: %name-gswitchit = %version-%release

BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: rpm >= %rpm_ver
BuildPreReq: gnome-common >= %gnome_common_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgnome-panel-devel >= %gnome_panel_ver
BuildPreReq: libgtop2-devel >= %libgtop_ver
BuildPreReq: libwnck-devel >= %libwnck_ver
BuildPreReq: libxklavier-devel >= %libxklavier_ver

# Automatically added by buildreq on Fri Apr 02 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel-static XFree86-libs XFree86-utils docbook-utils esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-common gnome-vfs2-devel gstreamer-devel gstreamer-plugins-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgail-devel libgdbm-devel libglade2-devel libgnome-devel libgnome-keyring libgnome-panel-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libgtop2-devel libpango-devel libgucharmap-devel libpopt-devel libstdc++-devel libxklavier-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-applets package provides
following small utilities for the GNOME panel:

battstat-applet is a utility that displays the status of the power
managment subsystem on laptops. It queries the APM BIOS and displays
remaining battery charge percentage in a graphical window.

charpick_applet allows you to easily write many characters which are not
available on standard keyboards such as accented  characters,  certain
mathematical  symbols and punctuation, and some other special symbols.

drivemount_applet allows to quickly and easily mount and unmount various
types of drives and file systems on computer.

geyes_applet is a pair of eyes which follow mouse pointer around the screen.

gkb_applet allows to easily and quickly change the keyboard map to those
used in various different countries.

gtik_applet is a Scrolling Stock ticker Applet.

gweather displays the current temperature and weather conditions in
numeric and iconified form inside the applet.

mini_commander_applet adds a command line to your Panel. It features
command completion, command history, changeable macros and an optional
built-in clock. Because of the changeable macros you can use it for many
different tasks. You can simply start a program (or a short macro) or
view a web page or search for a man/info page etc.

mixer_applet provides a simple and convenient interface for controlling
the sound volume and launching the Audio Mixer.

modemlights_applet can be used to tell if your modem is working, and to
track its behavior and performance. It can also be configured to call a
separate script or program to have your modem connect and disconnect
when you click on the button with the single green light.

multiload_applet contains 5 applets: CPU Load Applet, Load Average
Applet, Memory Load Applet, Net Load Applet and Swap Load Applet.

%package common
Summary: Common files for GNOME panel applets
Group: Graphical desktop/GNOME
PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver
# since 2.9
Obsoletes: %name-cdplayer
Obsoletes: %name-wireless
Obsoletes: %name-mailcheck
Obsoletes: %name-gkb
Obsoletes: %name-modemlights
Requires: gnome-panel >= %gnome_panel_ver
Requires: glib2 >= %glib_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libgnome-panel >= %gnome_panel_ver
Requires: libgtop2 >= %libgtop_ver

%description common
This package contains common files needed to run GNOME panel applets.

%package accessx-status
Summary: Accessibility Keyboard Status Applet for the GNOME panel
Group: Monitoring
PreReq: %name-common = %version-%release

%description accessx-status
This applet shows the status of the keyboard accessibility features,
including the current state of the keyboard, if those features are in
use.

%package battstat
Summary: Laptop Power Subsystem Applet for the GNOME panel
Group: Monitoring
PreReq: %name-common = %version-%release

%description battstat
battstat-applet is a utility that displays the status of the power
managment subsystem on laptops. It queries the APM BIOS and displays
remaining battery charge percentage in a graphical window.

%package cpufreq
Summary: GNOME CPUFreq Applet
Group: Monitoring
PreReq: %name-common = %version-%release

%description cpufreq
GNOME CPUFreq Applet is a CPU Frequency Scaling Monitor for GNOME Panel.

%package charpick
Summary: Character Picker Applet for the GNOME panel
Group: Text tools
PreReq: %name-common = %version-%release

%description charpick
charpick_applet allows you to easily write many characters which are not
available on standard keyboards such as accented  characters,  certain
mathematical  symbols and punctuation, and some other special symbols.

%package drivemount
Summary: Drive Mount Applet for the GNOME panel.
Group: Accessibility
PreReq: %name-common = %version-%release

%description drivemount
drivemount_applet allows to quickly and easily mount and unmount various
types of drives and file systems on computer.

%package geyes
Summary: gEyes Applet for the GNOME panel
Group: Toys
PreReq: %name-common = %version-%release

%description geyes
geyes_applet is a pair of eyes which follow mouse pointer around the screen.

%package gtik
Summary: Stock ticker Applet for the GNOME panel
Group: Text tools
PreReq: %name-common = %version-%release

%description gtik
gtik_applet is a Scrolling Stock ticker Applet.

%package gswitchit
Summary: GSwitchIt is a keyboard state indicator and switcher for GNOME panel
Summary (ru_RU.UTF-8): Идикатор и переключатель раскладок клавиатуры для панели GNOME
Group: Text tools
Obsoletes: gnome-applets-extra-gswitchit
Provides: gnome-applets-extra-gswitchit = %version-%release
PreReq: %name-common = %version-%release
Requires: libxklavier >= %libxklavier_ver

%description gswitchit
GSwitchIt is just a simple keyboard state indicator and switcher for
GNOME panel. GSwitchIt - controls and shows switching between the
different keyboard layouts separately for different windows.

%package gswitchit-devel
Summary: Development files for GSwitchIt
Summary (ru_RU.UTF-8): Файлы разработчика дополнений к GSwitchIt
Group: Development/GNOME and GTK+
Obsoletes: gnome-applets-extra-gswitchit-devel
Provides: gnome-applets-extra-gswitchit-devel = %version-%release
Requires: gnome-applets-gswitchit = %version-%release

%description gswitchit-devel
This package provides development files and libraries needed to build
plugins for GSwitchIt.

%package gweather
Summary: Weather Applet for the GNOME panel
Group: Toys
PreReq: %name-common = %version-%release

%description gweather
gweather displays the current temperature and weather conditions in
numeric and iconified form inside the applet.

%package mini-commander
Summary: Mini-Commander Applet for the GNOME panel
Group: Accessibility
PreReq: %name-common = %version-%release

%description mini-commander
mini_commander_applet adds a command line to your Panel. It features
command completion, command history, changeable macros and an optional
built-in clock. Because of the changeable macros you can use it for many
different tasks. You can simply start a program (or a short macro) or
view a web page or search for a man/info page etc.

%package mixer
Summary: Mixer Applet for the GNOME panel
Group: Sound
PreReq: %name-common = %version-%release
Requires: gnome2-media-gmix >= %gnome_media_ver

%description mixer
mixer_applet provides a simple and convenient interface for controlling
the sound volume and launching the Audio Mixer.

%if 0
%package modemlights
Summary: Modem Lights applet for the GNOME panel
Group: Monitoring
PreReq: %name-common = %version-%release

%description modemlights
modemlights_applet can be used to tell if your modem is working, and to
track its behavior and performance. It can also be configured to call a
separate script or program to have your modem connect and disconnect
when you click on the button with the single green light.
%endif

%package multiload
Summary: Multiload (cpu, load average, memory, net, swap) applet for the GNOME panel
Group: Monitoring
PreReq: %name-common = %version-%release
Requires: gnome-system-monitor

%description multiload
multiload_applet contains 5 applets: CPU Load Applet, Load Average
Applet, Memory Load Applet, Net Load Applet and Swap Load Applet.

%package stickynotes
Summary: Stickynotes applet for the GNOME panel
Group: Office
PreReq: %name-common = %version-%release
Requires: libwnck >= %libwnck_ver

%description stickynotes
stickynotes_applet enables to create, view, and manage sticky-notes on
Gnome Desktop.

%package trash
Summary: GNOME Trash Applet
Group: File tools
PreReq: %name-common = %version-%release

%description trash
This package provides a GNOME Trash Applet. You can drag items from
Nautilus onto this applet to move them to your trash folder.

%define _libexecdir %_libdir/%name

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1

%build
gnome-doc-common --copy
%__rm -f missing
%__libtoolize --copy --force
%__aclocal -I m4
%__automake -a -c -f
%__autoconf

export DATADIRNAME=share
export ac_cv_path_SU_TOOL=/bin/su
%configure --disable-install-schemas \
%if_disabled frequency_selector
	--disable-frequency-selector \
%endif
	--enable-panelmenu=no \
	--enable-gstreamer

# SMP-incompatible build
%make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export OMF_DIR=%buildroot%_var/lib/scrollkeeper
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
unset OMF_DIR

# remove non-paackaged files
%__rm -rf %buildroot/var

%define applets accessx-status battstat char-palette cpufreq-applet command-line drivemount geyes gtik2_applet2 gweather mixer_applet2 stickynotes_applet multiload gswitchit trashapplet
%find_lang --with-gnome %name %name-2.0 %applets

for omf in %applets; do
grep "$omf" %name.lang >> $omf.lang
done

%post accessx-status
%update_scrollkeeper

%post battstat
%gconf2_install battstat
%update_scrollkeeper

%post cpufreq
%gconf2_install cpufreq-applet
%update_scrollkeeper

%post charpick
%gconf2_install charpick
%update_scrollkeeper

%post drivemount
%gconf2_install drivemount
%update_scrollkeeper

%post geyes
%gconf2_install geyes
%update_scrollkeeper

%post gtik
%gconf2_install gtik
%update_scrollkeeper

%post gswitchit
%update_scrollkeeper
%gconf2_install gswitchit
%gconf2_set bool /apps/gswitchit/General/showFlags true

%post gweather
%gconf2_install gweather
%update_scrollkeeper

%post mini-commander
%gconf2_install mini-commander
%update_scrollkeeper

%post mixer
%gconf2_install mixer
%update_scrollkeeper

%post multiload
%gconf2_install multiload
%update_scrollkeeper

%post stickynotes
%gconf2_install stickynotes
%update_scrollkeeper

%post trash
%update_scrollkeeper

%preun battstat
if [ $1 = 0 ]; then
%gconf2_install battstat
fi

%preun cpufreq
if [ $1 = 0 ]; then
%gconf2_install cpufreq-applet
fi

%preun charpick
if [ $1 = 0 ]; then
%gconf2_install charpick
fi

%preun drivemount
if [ $1 = 0 ]; then
%gconf2_install drivemount
fi

%preun geyes
if [ $1 = 0 ]; then
%gconf2_uninstall geyes
fi

%preun gtik
if [ $1 = 0 ]; then
%gconf2_uninstall gtik
fi

%preun gweather
if [ $1 = 0 ]; then
%gconf2_uninstall gweather
fi

%preun mini-commander
if [ $1 = 0 ]; then
%gconf2_uninstall mini-commander
fi

%preun mixer
if [ $1 = 0 ]; then
%gconf2_uninstall mixer
fi

%preun multiload
if [ $1 = 0 ]; then
%gconf2_uninstall multiload
fi

%preun stickynotes
if [ $1 = 0 ]; then
%gconf2_uninstall stickynotes
fi

%postun accessx-status
%clean_scrollkeeper

%postun battstat
%clean_scrollkeeper

%postun cpufreq
%clean_scrollkeeper

%postun charpick
%clean_scrollkeeper

%postun drivemount
%clean_scrollkeeper

%postun geyes
%clean_scrollkeeper

%postun gtik
%clean_scrollkeeper

%postun gswitchit
%clean_scrollkeeper

%postun gweather
%clean_scrollkeeper

%postun mini-commander
%clean_scrollkeeper

%postun mixer
%clean_scrollkeeper

%postun multiload
%clean_scrollkeeper

%postun stickynotes
%clean_scrollkeeper

%postun trash
%clean_scrollkeeper

%files

%files common -f %name-2.0.lang
%doc AUTHORS ChangeLog NEWS README
%dir %_libexecdir
%_libexecdir/null_applet
%_libdir/bonobo/servers/GNOME_CDPlayerApplet.server
%_libdir/bonobo/servers/GNOME_MailcheckApplet_Factory.server
%_libdir/bonobo/servers/GNOME_NullApplet_Factory.server
%_libdir/bonobo/servers/GNOME_Panel_WirelessApplet.server

%files accessx-status -f accessx-status.lang
%_libexecdir/accessx-status*
%_libdir/bonobo/*/*AccessxStatus*
%_datadir/gnome-2.0/*/*AccessxApplet*
%_datadir/pixmaps/accessx-status*
%_iconsdir/hicolor/48x48/apps/ax-applet.png

%files battstat -f battstat.lang
%_libexecdir/battstat*
%_libdir/bonobo/*/*Battstat*
%_datadir/gnome-2.0/*/*Battstat*
%_datadir/gnome-applets/glade/battstat_applet.glade
%config %_sysconfdir/gconf/schemas/battstat*
%config %_sysconfdir/sound/*/battstat*

%files cpufreq -f cpufreq-applet.lang
%if_enabled frequency_selector
%attr(4711,root,root) %_bindir/cpufreq-selector
%endif
%_libexecdir/cpufreq-applet
%_libdir/bonobo/servers/GNOME_CPUFreqApplet.server
%_datadir/gnome-2.0/ui/GNOME_CPUFreqApplet.xml
%_datadir/gnome-applets/glade/cpufreq-preferences.glade
%_iconsdir/hicolor/48x48/apps/gnome-cpu.png
%config %_sysconfdir/gconf/schemas/cpufreq-applet.schemas

%files charpick -f char-palette.lang
%_libexecdir/charpick*
%_libdir/bonobo/*/*Charpick*
%_datadir/gnome-2.0/*/*Charpick*
%_iconsdir/*/*/*/charpick.png
%_iconsdir/*/*/*/gnome-money.png
%config %_sysconfdir/gconf/schemas/charpick*

%files drivemount -f drivemount.lang
%_libexecdir/drivemount*
%_libdir/bonobo/*/*DriveMount*
%_datadir/gnome-2.0/*/*DriveMount*
%config %_sysconfdir/gconf/schemas/drivemount*

%files geyes -f geyes.lang
%_libexecdir/geyes*
%_libdir/bonobo/*/*Geyes*
%_datadir/gnome-2.0/*/*Geyes*
%_datadir/gnome-applets/geyes
%_iconsdir/*/*/*/gnome-eyes.png
%config %_sysconfdir/gconf/schemas/geyes*

%files gswitchit -f gswitchit.lang
%_bindir/gswitchit-plugins-capplet
%_libexecdir/gnome-keyboard-applet
%_libdir/bonobo/*/GNOME_KeyboardApplet.server
%_datadir/gnome-2.0/ui/*GSwitchItApplet*
%_datadir/gnome-applets/glade/gswitchit-plugins.glade
%_datadir/gnome-applets/glade/gswitchit-properties.glade
%_datadir/xmodmap
%_iconsdir/*/*/*/gswitchit*.png
%config %_sysconfdir/gconf/schemas/gswitchit*

%files gswitchit-devel
%_includedir/libgswitchit
%_libdir/pkgconfig/gswitchit.pc

%files gtik -f gtik2_applet2.lang
%_libexecdir/gtik*
%_libdir/bonobo/*/*Gtik*
%_datadir/gnome-2.0/*/*Gtik*
%config %_sysconfdir/gconf/schemas/gtik*

%files gweather -f gweather.lang
%_libexecdir/gweather*
%_datadir/gnome-applets/gweather
%_libdir/bonobo/*/*GWeather*
%_datadir/gnome-2.0/ui/*GWeather*
%config %_sysconfdir/gconf/schemas/gweather*

%files mini-commander -f command-line.lang
%_libexecdir/mini_commander*
%_libexecdir/mc-install*
%_libdir/bonobo/*/*MiniCommander*
%_datadir/gnome-2.0/*/*MiniCommander*
%_datadir/gnome-applets/glade/mini-commander.glade
%_iconsdir/*/*/*/gnome-mini-commander.png
%config %_sysconfdir/gconf/schemas/mini-commander*

%files mixer -f mixer_applet2.lang
%_libexecdir/mixer*
%_libdir/bonobo/*/*Mixer*
%_datadir/gnome-2.0/*/*Mixer*
%config %_sysconfdir/gconf/schemas/mixer*

%if 0
%files modemlights
%_libexecdir/modemlights*
%_libdir/bonobo/*/*ModemLights*
%_datadir/gnome-2.0/*/*Modemlights*
%config %_sysconfdir/gconf/schemas/modemlights*
%endif

%files multiload -f multiload.lang
%_libexecdir/multiload*
%_libdir/bonobo/*/*MultiLoad*
%_datadir/gnome-2.0/*/*Multiload*
%_datadir/pixmaps/*cpu*
%config %_sysconfdir/gconf/schemas/multiload*

%files stickynotes -f stickynotes_applet.lang
%_libexecdir/stickynotes*
%_libdir/bonobo/*/*StickyNotes*
%_datadir/gnome-2.0/*/*StickyNotes*
%_datadir/gnome-applets/glade/stickynotes.glade
%_datadir/pixmaps/stickynotes
%config %_sysconfdir/gconf/schemas/stickynotes*

%files trash -f trashapplet.lang
%_libexecdir/trashapplet
%_libdir/bonobo/servers/GNOME_Panel_TrashApplet.server
%_datadir/gnome-2.0/ui/GNOME_Panel_TrashApplet.xml

%changelog
* Mon Apr 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Tue Mar 01 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.7-alt1
- 2.9.7.

* Thu Feb 10 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.6-alt1
- 2.9.6
- gtick built with gucharmap support.

* Mon Feb 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.5-alt1
- 2.9.5.
- gkb, cdplayer, mailcheck, wireless, modemlights obsolete.
- new cpufreq, trash applets.

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1.1-alt1
- 2.8.1.1

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.3-alt1
- 2.7.3

* Thu Aug 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2.1-alt1
- 2.6.2.1

* Tue Jun 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Fri May 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1.1
- fix gswitchit (patch5).

* Fri May 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Thu Mar 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.8-alt1
- 2.5.8

* Mon Feb 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.6-alt1
- 2.5.6

* Mon Feb 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.5-alt2
- rebuild with new libgtop2-2.5.1

* Mon Feb 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.5-alt1
- 2.5.5

* Fri Jan 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Sat Oct 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0
- additional belorussian locations for gweather from Serg Kozhemyakin

* Thu Sep 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.7-alt1
- 2.3.7

* Thu Jul 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Mon Jun 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Mon Jun 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt2
- rebuild with libgtop2-2.0.2

* Mon Jun 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Mon Jun 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3
- new accessibility keyboard status applet.

* Mon May 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Mon Apr 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Sun Mar 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Sun Jan 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Mon Jan 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt2
- default lock file for modemlights applet fixed.
- geyes themes installation and schema file fixed.

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Thu Nov 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Wed Nov 06 2002 AEN <aen@altlinux.ru> 2.0.3-alt2
- rebuilt with new gdbm

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt2
- rebuild with new pango, gtk+

* Mon Sep 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt1.1
- buildreqs updated.
- files section for gweather fixed.
- gconf2_install macro used for schemas installation.
- scrollkeeper >= 0.3.11 added to requires list.
- gnome-system-monitor added to requires list for multiload applet.
- gnome-applets virtual package installs all applets.

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt1
- 2.0.2

* Thu Jul 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- First build for Sisyphus.
